You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@usergrid.apache.org by to...@apache.org on 2014/11/06 01:15:16 UTC

[30/50] git commit: Updated configurations to match Matt's system. Changed some threads

Updated configurations to match Matt's system.  Changed some threads


Project: http://git-wip-us.apache.org/repos/asf/incubator-usergrid/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-usergrid/commit/71822f54
Tree: http://git-wip-us.apache.org/repos/asf/incubator-usergrid/tree/71822f54
Diff: http://git-wip-us.apache.org/repos/asf/incubator-usergrid/diff/71822f54

Branch: refs/heads/two-dot-o
Commit: 71822f544048eeea8fa615d75e50d426ab09d203
Parents: c9c627b
Author: Todd Nine <tn...@apigee.com>
Authored: Mon Nov 3 14:42:13 2014 -0700
Committer: Todd Nine <tn...@apigee.com>
Committed: Mon Nov 3 14:42:13 2014 -0700

----------------------------------------------------------------------
 .../main/dist/init_instance/create_keyspaces.sh |   2 +
 .../src/main/dist/init_instance/create_raid0.sh |   9 +-
 .../main/dist/init_instance/init_db_server.sh   |   8 +-
 .../main/dist/init_instance/init_es_server.sh   |   8 +-
 .../dist/init_instance/init_opscenter_server.sh | 178 ++++++++++++++++++-
 .../main/dist/init_instance/init_rest_server.sh |  54 +++++-
 .../dist/init_instance/install_elasticsearch.sh |  17 +-
 .../init_instance/install_opscenter_agent.sh    |   5 +-
 .../main/groovy/configure_elasticsearch.groovy  |  10 +-
 .../groovy/configure_opscenter_usergrid.groovy  |   9 +-
 stack/awscluster/ugcluster-cf.json              |   6 +-
 11 files changed, 269 insertions(+), 37 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-usergrid/blob/71822f54/stack/awscluster/src/main/dist/init_instance/create_keyspaces.sh
----------------------------------------------------------------------
diff --git a/stack/awscluster/src/main/dist/init_instance/create_keyspaces.sh b/stack/awscluster/src/main/dist/init_instance/create_keyspaces.sh
index 5cf0f7f..e2451e8 100644
--- a/stack/awscluster/src/main/dist/init_instance/create_keyspaces.sh
+++ b/stack/awscluster/src/main/dist/init_instance/create_keyspaces.sh
@@ -28,6 +28,8 @@ FIRSTHOST="$(groovy get_first_instance.groovy cassandra)"
 
 if [ "$FIRSTHOST"=="$PUBLIC_HOSTNAME" ]; then
 
+#We have to wait for cass to actually start before we can run our CQL.   Sleep 5 seconds between retries
+while ! echo exit | nc localhost 9160; do sleep 5; done
 
 #WE have to remove our -1 from the end, since us-east and us-west dont support -1 in cassandra
 CASS_REGION=${EC2_REGION%-1}

http://git-wip-us.apache.org/repos/asf/incubator-usergrid/blob/71822f54/stack/awscluster/src/main/dist/init_instance/create_raid0.sh
----------------------------------------------------------------------
diff --git a/stack/awscluster/src/main/dist/init_instance/create_raid0.sh b/stack/awscluster/src/main/dist/init_instance/create_raid0.sh
index 43d9f37..c9122d7 100644
--- a/stack/awscluster/src/main/dist/init_instance/create_raid0.sh
+++ b/stack/awscluster/src/main/dist/init_instance/create_raid0.sh
@@ -20,7 +20,7 @@
 
 
 
-# WARNING: this does not work yet (and is not used by any other script)
+# WARNING: this does not work for any instances that have more than 2 ephemeral disks
 
 
 
@@ -38,8 +38,11 @@ umount /mnt
 
 
 #We only support 2 ephemeral disks.  Most c3.x instances only have 2 disks and they're our target
-# create striped RAID0 device with our four disks
-yes | mdadm --create --verbose /dev/md0 --level=stripe --raid-devices=2 -c 256  /dev/xvdb /dev/xvdc
+# create striped RAID0 device with our 2 disks
+yes | mdadm --create --verbose /dev/md0 --level=0 --raid-devices=2 -c 256  /dev/xvdb /dev/xvdc
+
+
+
 
 # save config
 mdadm --detail --scan | tee /etc/mdadm/mdadm.conf

http://git-wip-us.apache.org/repos/asf/incubator-usergrid/blob/71822f54/stack/awscluster/src/main/dist/init_instance/init_db_server.sh
----------------------------------------------------------------------
diff --git a/stack/awscluster/src/main/dist/init_instance/init_db_server.sh b/stack/awscluster/src/main/dist/init_instance/init_db_server.sh
index 25ca6bf..a9bae98 100644
--- a/stack/awscluster/src/main/dist/init_instance/init_db_server.sh
+++ b/stack/awscluster/src/main/dist/init_instance/init_db_server.sh
@@ -32,8 +32,6 @@ dpkg-reconfigure -f noninteractive tzdata
 . /etc/profile.d/aws-credentials.sh
 . /etc/profile.d/usergrid-env.sh
 
-cd /usr/share/usergrid/init_instance
-./create_raid0.sh
 
 # Install the easy stuff
 PKGS="ntp unzip groovy curl"
@@ -52,10 +50,16 @@ cp /usr/share/aws-java-sdk-*/lib/* /home/ubuntu/.groovy/lib
 rm /home/ubuntu/.groovy/lib/stax*
 ln -s /home/ubuntu/.groovy /root/.groovy
 
+
+
 # tag last so we can see in the console so that we know what's running
 cd /usr/share/usergrid/scripts
 groovy tag_instance.groovy -BUILD-IN-PROGRESS
 
+#Create our raid 0 array
+cd /usr/share/usergrid/init_instance
+./create_raid0.sh
+
 cd /usr/share/usergrid/init_instance
 ./install_oraclejdk.sh 
 

http://git-wip-us.apache.org/repos/asf/incubator-usergrid/blob/71822f54/stack/awscluster/src/main/dist/init_instance/init_es_server.sh
----------------------------------------------------------------------
diff --git a/stack/awscluster/src/main/dist/init_instance/init_es_server.sh b/stack/awscluster/src/main/dist/init_instance/init_es_server.sh
index 4b6a7ec..836b1d9 100644
--- a/stack/awscluster/src/main/dist/init_instance/init_es_server.sh
+++ b/stack/awscluster/src/main/dist/init_instance/init_es_server.sh
@@ -31,8 +31,6 @@ dpkg-reconfigure -f noninteractive tzdata
 . /etc/profile.d/aws-credentials.sh
 . /etc/profile.d/usergrid-env.sh
 
-cd /usr/share/usergrid/init_instance
-./create_raid0.sh
 
 # Install the easy stuff
 PKGS="ntp unzip groovy curl"
@@ -55,6 +53,12 @@ ln -s /home/ubuntu/.groovy /root/.groovy
 cd /usr/share/usergrid/scripts
 groovy tag_instance.groovy -BUILD-IN-PROGRESS
 
+
+#Configure our RAID 0 arrays
+cd /usr/share/usergrid/init_instance
+./create_raid0.sh
+
+
 cd /usr/share/usergrid/init_instance
 ./install_oraclejdk.sh 
 

http://git-wip-us.apache.org/repos/asf/incubator-usergrid/blob/71822f54/stack/awscluster/src/main/dist/init_instance/init_opscenter_server.sh
----------------------------------------------------------------------
diff --git a/stack/awscluster/src/main/dist/init_instance/init_opscenter_server.sh b/stack/awscluster/src/main/dist/init_instance/init_opscenter_server.sh
index 728cb6d..b63a710 100644
--- a/stack/awscluster/src/main/dist/init_instance/init_opscenter_server.sh
+++ b/stack/awscluster/src/main/dist/init_instance/init_opscenter_server.sh
@@ -89,7 +89,177 @@ popd
 
 /etc/init.d/cassandra start
 
+#We have to wait for cass to actually start before we can run our CQL.   Sleep 5 seconds between retries
+while ! echo exit | nc localhost 9160; do sleep 5; done
+
+CASS_REGION=${EC2_REGION%-1}
 #create our keyspace
+cat >> /tmp/opscenter.cql << EOF
+CREATE KEYSPACE "OpsCenter" WITH REPLICATION = {'class' : 'NetworkTopologyStrategy', '${CASS_REGION}' : 1};
+
+USE "OpsCenter";
+
+CREATE TABLE bestpractice_results (
+  key text,
+  column1 varint,
+  value blob,
+  PRIMARY KEY (key, column1)
+) WITH COMPACT STORAGE AND
+  CLUSTERING ORDER BY (column1 DESC) AND
+  bloom_filter_fp_chance=0.010000 AND
+  caching='KEYS_ONLY' AND
+  comment='{"info": "OpsCenter management data.", "version": [5, 0, 1]}' AND
+  dclocal_read_repair_chance=0.000000 AND
+  gc_grace_seconds=0 AND
+  read_repair_chance=0.250000 AND
+  replicate_on_write='true' AND
+  populate_io_cache_on_flush='false' AND
+  compaction={'class': 'SizeTieredCompactionStrategy'} AND
+  compression={'sstable_compression': 'SnappyCompressor'};
+
+CREATE TABLE events (
+  key text PRIMARY KEY,
+  action bigint,
+  level bigint,
+  success boolean,
+  time bigint
+) WITH COMPACT STORAGE AND
+  bloom_filter_fp_chance=0.010000 AND
+  caching='KEYS_ONLY' AND
+  comment='{"info": "OpsCenter management data.", "version": [5, 0, 1]}' AND
+  dclocal_read_repair_chance=0.000000 AND
+  gc_grace_seconds=864000 AND
+  read_repair_chance=0.250000 AND
+  replicate_on_write='true' AND
+  populate_io_cache_on_flush='false' AND
+  compaction={'class': 'SizeTieredCompactionStrategy'} AND
+  compression={'sstable_compression': 'SnappyCompressor'};
+
+CREATE TABLE events_timeline (
+  key text,
+  column1 bigint,
+  value blob,
+  PRIMARY KEY (key, column1)
+) WITH COMPACT STORAGE AND
+  bloom_filter_fp_chance=0.010000 AND
+  caching='KEYS_ONLY' AND
+  comment='{"info": "OpsCenter management data.", "version": [5, 0, 1]}' AND
+  dclocal_read_repair_chance=0.000000 AND
+  gc_grace_seconds=864000 AND
+  read_repair_chance=0.250000 AND
+  replicate_on_write='true' AND
+  populate_io_cache_on_flush='false' AND
+  compaction={'class': 'SizeTieredCompactionStrategy'} AND
+  compression={'sstable_compression': 'SnappyCompressor'};
+
+CREATE TABLE pdps (
+  key text,
+  column1 text,
+  value blob,
+  PRIMARY KEY (key, column1)
+) WITH COMPACT STORAGE AND
+  bloom_filter_fp_chance=0.010000 AND
+  caching='KEYS_ONLY' AND
+  comment='{"info": "OpsCenter management data.", "version": [5, 0, 1]}' AND
+  dclocal_read_repair_chance=0.000000 AND
+  gc_grace_seconds=0 AND
+  read_repair_chance=0.250000 AND
+  replicate_on_write='true' AND
+  populate_io_cache_on_flush='false' AND
+  compaction={'class': 'SizeTieredCompactionStrategy'} AND
+  compression={'sstable_compression': 'SnappyCompressor'};
+
+CREATE TABLE rollups300 (
+  key text,
+  column1 varint,
+  value blob,
+  PRIMARY KEY (key, column1)
+) WITH COMPACT STORAGE AND
+  bloom_filter_fp_chance=0.010000 AND
+  caching='KEYS_ONLY' AND
+  comment='{"info": "OpsCenter management data.", "version": [5, 0, 1]}' AND
+  dclocal_read_repair_chance=0.000000 AND
+  gc_grace_seconds=0 AND
+  read_repair_chance=0.250000 AND
+  replicate_on_write='true' AND
+  populate_io_cache_on_flush='false' AND
+  compaction={'class': 'SizeTieredCompactionStrategy'} AND
+  compression={'sstable_compression': 'SnappyCompressor'};
+
+CREATE TABLE rollups60 (
+  key text,
+  column1 varint,
+  value blob,
+  PRIMARY KEY (key, column1)
+) WITH COMPACT STORAGE AND
+  bloom_filter_fp_chance=0.010000 AND
+  caching='KEYS_ONLY' AND
+  comment='{"info": "OpsCenter management data.", "version": [5, 0, 1]}' AND
+  dclocal_read_repair_chance=0.000000 AND
+  gc_grace_seconds=0 AND
+  read_repair_chance=0.250000 AND
+  replicate_on_write='true' AND
+  populate_io_cache_on_flush='false' AND
+  compaction={'class': 'SizeTieredCompactionStrategy'} AND
+  compression={'sstable_compression': 'SnappyCompressor'};
+
+CREATE TABLE rollups7200 (
+  key text,
+  column1 varint,
+  value blob,
+  PRIMARY KEY (key, column1)
+) WITH COMPACT STORAGE AND
+  bloom_filter_fp_chance=0.010000 AND
+  caching='KEYS_ONLY' AND
+  comment='{"info": "OpsCenter management data.", "version": [5, 0, 1]}' AND
+  dclocal_read_repair_chance=0.000000 AND
+  gc_grace_seconds=0 AND
+  read_repair_chance=0.250000 AND
+  replicate_on_write='true' AND
+  populate_io_cache_on_flush='false' AND
+  compaction={'class': 'SizeTieredCompactionStrategy'} AND
+  compression={'sstable_compression': 'SnappyCompressor'};
+
+CREATE TABLE rollups86400 (
+  key text,
+  column1 varint,
+  value blob,
+  PRIMARY KEY (key, column1)
+) WITH COMPACT STORAGE AND
+  bloom_filter_fp_chance=0.010000 AND
+  caching='KEYS_ONLY' AND
+  comment='{"info": "OpsCenter management data.", "version": [5, 0, 1]}' AND
+  dclocal_read_repair_chance=0.000000 AND
+  gc_grace_seconds=0 AND
+  read_repair_chance=0.250000 AND
+  replicate_on_write='true' AND
+  populate_io_cache_on_flush='false' AND
+  compaction={'class': 'SizeTieredCompactionStrategy'} AND
+  compression={'sstable_compression': 'SnappyCompressor'};
+
+CREATE TABLE settings (
+  key blob,
+  column1 blob,
+  value blob,
+  PRIMARY KEY (key, column1)
+) WITH COMPACT STORAGE AND
+  bloom_filter_fp_chance=0.010000 AND
+  caching='KEYS_ONLY' AND
+  comment='{"info": "OpsCenter management data.", "version": [5, 0, 1]}' AND
+  dclocal_read_repair_chance=0.000000 AND
+  gc_grace_seconds=864000 AND
+  read_repair_chance=1.000000 AND
+  replicate_on_write='true' AND
+  populate_io_cache_on_flush='false' AND
+  compaction={'class': 'SizeTieredCompactionStrategy'} AND
+  compression={'sstable_compression': 'SnappyCompressor'};
+
+EOF
+
+
+echo "Creating opscenter keyspace"
+/usr/bin/cqlsh -f  /tmp/opscenter.cql
+
 
 
 
@@ -103,15 +273,15 @@ apt-get  --force-yes -y install opscenter
 sudo service opscenterd stop
 
 #Configure the usergrid cluster to store data locally, not on the target cluster and auto boostrap it
-pushd /usr/share/usergrid/scripts
+cd /usr/share/usergrid/scripts
 groovy wait_for_instances.groovy cassandra 1
 mkdir -p /etc/opscenter/clusters
 groovy configure_opscenter_usergrid.groovy > /etc/opscenter/clusters/$CASSANDRA_CLUSTER_NAME.conf
-popd
+
 
 sudo service opscenterd start
 
 # tag last so we can see in the console that the script ran to completion
-pushd /usr/share/usergrid/scripts
+cd /usr/share/usergrid/scripts
 groovy tag_instance.groovy
-popd
+

http://git-wip-us.apache.org/repos/asf/incubator-usergrid/blob/71822f54/stack/awscluster/src/main/dist/init_instance/init_rest_server.sh
----------------------------------------------------------------------
diff --git a/stack/awscluster/src/main/dist/init_instance/init_rest_server.sh b/stack/awscluster/src/main/dist/init_instance/init_rest_server.sh
index 28fbc48..0e65c9a 100644
--- a/stack/awscluster/src/main/dist/init_instance/init_rest_server.sh
+++ b/stack/awscluster/src/main/dist/init_instance/init_rest_server.sh
@@ -62,7 +62,12 @@ cd /usr/share/usergrid/init_instance
 
 # set Tomcat memory and threads based on instance type
 # use about 70% of RAM for heap
-export NOFILE=100000
+export NOFILE=150000
+export TOMCAT_CONNECTIONS=10000
+export ACCEPT_COUNT=1600
+export NR_OPEN=1048576
+export FILE_MAX=761773
+
 case `(curl http://169.254.169.254/latest/meta-data/instance-type)` in
 'm1.small' )
     # total of 1.7g
@@ -96,8 +101,8 @@ case `(curl http://169.254.169.254/latest/meta-data/instance-type)` in
 ;;
 'c3.xlarge' )
     # total of 7.5g
-    export TOMCAT_RAM=5250m
-    export TOMCAT_THREADS=1000
+    export TOMCAT_RAM=4096m
+    export TOMCAT_THREADS=7000
 ;;
 'c3.2xlarge' )
     # total of 15g
@@ -110,29 +115,60 @@ case `(curl http://169.254.169.254/latest/meta-data/instance-type)` in
     export TOMCAT_THREADS=4000
 esac
 
-export TOMCAT_CONNECTIONS=10000
+
 sed -i.bak "s/Xmx128m/Xmx${TOMCAT_RAM} -Xms${TOMCAT_RAM} -Dlog4j\.configuration=file:\/usr\/share\/usergrid\/lib\/log4j\.properties/g" /etc/default/tomcat7
-sed -i.bak "s/<Connector/<Connector maxThreads=\"${TOMCAT_THREADS}\" acceptCount=\"${TOMCAT_THREADS}\" maxConnections=\"${TOMCAT_CONNECTIONS}\"/g" /var/lib/tomcat7/conf/server.xml
+sed -i.bak "s/<Connector/<Connector maxThreads=\"${TOMCAT_THREADS}\" acceptCount=\"${ACCEPT_COUNT}\" maxConnections=\"${TOMCAT_CONNECTIONS}\"/g" /var/lib/tomcat7/conf/server.xml
 
 
 #Append our java opts for secret key
 echo "JAVA_OPTS=\"\${JAVA_OPTS} -DAWS_SECRET_KEY=${AWS_SECRET_KEY} -DAWS_ACCESS_KEY_ID=${AWS_ACCESS_KEY}\"" >> /etc/default/tomcat7
 
+ulimit -n $NOFILE
 
 # set file limits
 sed -i.bak "s/# \/etc\/init\.d\/tomcat7 -- startup script for the Tomcat 6 servlet engine/ulimit -n ${NOFILE}/" /etc/init.d/tomcat7
-sed -i.bak "s/@student/a *\t\thard\tnofile\t\t${NOFILE}\n*\t\tsoft\tnofile\t\t${NOFILE}" /etc/security/limits.conf
-echo "$NOFILE" | sudo tee > /proc/sys/fs/nr_open
-echo "$NOFILE" | sudo tee > /proc/sys/fs/file-max
+
+
+cat >>  /etc/security/limits.conf  << EOF
+* - nofile ${NOFILE}
+root - nofile ${NOFILE}
+EOF
+
+
+
+echo "${NR_OPEN}" | sudo tee > /proc/sys/fs/nr_open
+echo "${FILE_MAX}" | sudo tee > /proc/sys/fs/file-max
+
+
 cat >> /etc/pam.d/su << EOF
 session    required   pam_limits.so
 EOF
-ulimit -n $NOFILE
+
+
 
 # increase system IP port limits (do we really need this for Tomcat?)
 sysctl -w net.ipv4.ip_local_port_range="1024 65535"
 cat >> /etc/sysctl.conf << EOF
+####
+# Set by usergrid rest setup
+####
 net.ipv4.ip_local_port_range = 1024 65535
+
+# Controls the default maxmimum size of a mesage queue
+kernel.msgmnb = 65536
+
+# Controls the maximum size of a message, in bytes
+kernel.msgmax = 65536
+
+# Controls the maximum shared segment size, in bytes
+kernel.shmmax = 68719476736
+
+# Controls the maximum number of shared memory segments, in pages
+kernel.shmall = 4294967296
+
+######
+# End usergrid setup
+######
 EOF
 
 # wait for enough Cassandra nodes then delpoy and configure Usergrid 

http://git-wip-us.apache.org/repos/asf/incubator-usergrid/blob/71822f54/stack/awscluster/src/main/dist/init_instance/install_elasticsearch.sh
----------------------------------------------------------------------
diff --git a/stack/awscluster/src/main/dist/init_instance/install_elasticsearch.sh b/stack/awscluster/src/main/dist/init_instance/install_elasticsearch.sh
index 604cb14..73195dc 100644
--- a/stack/awscluster/src/main/dist/init_instance/install_elasticsearch.sh
+++ b/stack/awscluster/src/main/dist/init_instance/install_elasticsearch.sh
@@ -36,12 +36,13 @@ mkdir -p /mnt/log/elasticsearch
 chown elasticsearch /mnt/log/elasticsearch
 
 # Configure ElasticSearch
-cd /usr/share/usergrid/scripts
+
 
 echo "vm.swappiness = 0" >> /etc/sysctl.conf
 sysctl -p
 
 # No need to do this, elasticsearch nodes are also cassandra nodes
+cd /usr/share/usergrid/scripts
 groovy registry_register.groovy elasticsearch
 groovy wait_for_instances.groovy elasticsearch ${ES_NUM_SERVERS}
 
@@ -90,10 +91,13 @@ esac
 cat >> /etc/default/elasticsearch << EOF
 ES_HEAP_SIZE=${ES_HEAP_SIZE}
 MAX_OPEN_FILES=65535
-MAX_LOCKED_MEMORY=unlimited
+MAX_MAP_COUNT=262144
+#MAX_LOCKED_MEMORY=unlimited
 JAVA_HOME=/usr/lib/jvm/jdk1.7.0
 EOF
 
+#Set it because Matt says so
+ulimit -l unlimited
 
 cat >> /etc/security/limits.conf << EOF
 elasticsearch - nofile 65535
@@ -101,6 +105,7 @@ elasticsearch - memlock unlimited
 EOF
 
 
+cd /usr/share/usergrid/scripts
 groovy ./configure_elasticsearch.groovy > /etc/elasticsearch/elasticsearch.yml
 
 update-rc.d elasticsearch defaults 95 10
@@ -115,6 +120,14 @@ pushd /usr/share/elasticsearch/bin
 
 ./plugin --install lukas-vlcek/bigdesk
 
+./plugin --install mobz/elasticsearch-head
+
+./plugin -install royrusso/elasticsearch-HQ
+
+./plugin -install karmi/elasticsearch-paramedic
+
+./plugin -install xyu/elasticsearch-whatson/0.1.3
+
 popd
 
 

http://git-wip-us.apache.org/repos/asf/incubator-usergrid/blob/71822f54/stack/awscluster/src/main/dist/init_instance/install_opscenter_agent.sh
----------------------------------------------------------------------
diff --git a/stack/awscluster/src/main/dist/init_instance/install_opscenter_agent.sh b/stack/awscluster/src/main/dist/init_instance/install_opscenter_agent.sh
index 5e2ec4b..a5679e4 100644
--- a/stack/awscluster/src/main/dist/init_instance/install_opscenter_agent.sh
+++ b/stack/awscluster/src/main/dist/init_instance/install_opscenter_agent.sh
@@ -1,5 +1,4 @@
 #!/bin/bash
-
 # 
 #  Licensed to the Apache Software Foundation (ASF) under one or more
 #   contributor license agreements.  The ASF licenses this file to You
@@ -20,8 +19,6 @@
 
 
 # Install and stop Cassandra
-pushd /etc/apt/sources.list.d
-
 echo "deb http://debian.datastax.com/community stable main" | sudo tee -a /etc/apt/sources.list.d/datastax.community.list
 
 curl -L https://debian.datastax.com/debian/repo_key | sudo apt-key add -
@@ -42,4 +39,4 @@ groovy configure_opscenter_agent.groovy > /var/lib/datastax-agent/conf/address.y
 sudo service datastax-agent stop
 sudo service datastax-agent start
 
-popd
+

http://git-wip-us.apache.org/repos/asf/incubator-usergrid/blob/71822f54/stack/awscluster/src/main/groovy/configure_elasticsearch.groovy
----------------------------------------------------------------------
diff --git a/stack/awscluster/src/main/groovy/configure_elasticsearch.groovy b/stack/awscluster/src/main/groovy/configure_elasticsearch.groovy
index 1693777..3658d7f 100644
--- a/stack/awscluster/src/main/groovy/configure_elasticsearch.groovy
+++ b/stack/awscluster/src/main/groovy/configure_elasticsearch.groovy
@@ -64,13 +64,13 @@ es.logger.level: INFO
 
 threadpool.index.type: fixed
 threadpool.index.size: 160
-threadpool.index.queue_size: 401
+threadpool.index.queue_size: 0
 threadpool.bulk.type: fixed
-threadpool.bulk.size: 10000
-threadpool.bulk.queue_size: 800
-threadpool.search.size: 20000
+threadpool.bulk.size: 5000
+threadpool.bulk.queue_size: 0
+threadpool.search.size: 10000
 threadpool.search.type: fixed
-threadpool.search.queue_size: 1000
+threadpool.search.queue_size: 0
 
 action.auto_create_index: false
 

http://git-wip-us.apache.org/repos/asf/incubator-usergrid/blob/71822f54/stack/awscluster/src/main/groovy/configure_opscenter_usergrid.groovy
----------------------------------------------------------------------
diff --git a/stack/awscluster/src/main/groovy/configure_opscenter_usergrid.groovy b/stack/awscluster/src/main/groovy/configure_opscenter_usergrid.groovy
index 882a04a..df4dcae 100644
--- a/stack/awscluster/src/main/groovy/configure_opscenter_usergrid.groovy
+++ b/stack/awscluster/src/main/groovy/configure_opscenter_usergrid.groovy
@@ -47,9 +47,12 @@ def usergridConfig = """
 [cassandra]
 seed_hosts = ${seeds}
 
-[storage_cassandra]
-seed_hosts = ${hostName}
-api_port = 9160
+#TODO, this doesn't seem to work, I think opscenter is broken.  Try this again at a later time and remove opscenter exclusion below
+#[storage_cassandra]
+#seed_hosts = ${hostName}
+#api_port = 9160
+
+
 """
 
 println usergridConfig

http://git-wip-us.apache.org/repos/asf/incubator-usergrid/blob/71822f54/stack/awscluster/ugcluster-cf.json
----------------------------------------------------------------------
diff --git a/stack/awscluster/ugcluster-cf.json b/stack/awscluster/ugcluster-cf.json
index 78d575f..f9979b1 100644
--- a/stack/awscluster/ugcluster-cf.json
+++ b/stack/awscluster/ugcluster-cf.json
@@ -208,13 +208,13 @@
         },
         "AWSRegionArch2AMI": {
             "ap-southeast-2": {
-                "64": "ami-5993f663"
+                "64": "ami-c1335ffb"
             },
             "us-east-1": {
-                "64": "ami-7cbd4f14"
+                "64": "ami-b89f18d0"
             },
             "us-west-2": {
-                "64": "ami-2598ea15"
+                "64": "ami-194a0429"
             }
         },
         "TwoAZs": {